#                                                                        #
# Routes leading to controllers used in functional tests                 #
#                                                                        #

##
# Routes for the Http functional tests

-
  name: 'Functional Test: HTTP - FooController'
  uriPattern: 'typo3/flow/test/http/foo'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Http\Fixtures'
    '@controller': 'Foo'
    '@action':     'index'
    '@format':     'html'

-
  name: 'Functional Test: dynamic part without default'
  uriPattern: 'typo3/flow/test/dynamic/part/without/default/{dynamic}'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'RoutingTestA'

-
  name: 'Functional Test: dynamic part with default'
  uriPattern: 'typo3/flow/test/dynamic/part/with/default/{dynamic}'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'RoutingTestA'
    dynamic: 'DynamicDefault'

-
  name: 'Functional Test: optional dynamic part with default'
  uriPattern: 'typo3/flow/test/optional/dynamic/part/with/default(/{optionalDynamic})'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'RoutingTestA'
    optionalDynamic: 'OptionalDynamicDefault'

-
  name: 'Functional Test: dynamic part case'
  uriPattern: 'typo3/flow/test/dynamic/part/case/{dynamic1}/{dynamic2}'
  toLowerCase: false
  routeParts:
    dynamic2:
      toLowerCase: true
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'RoutingTestA'

-
  name: 'Functional Test: exceeding arguments 01'
  uriPattern: 'typo3/flow/test/exceeding/arguments1'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'RoutingTestA'
    dynamic: 'DynamicDefault'
  appendExceedingArguments: true

-
  name: 'Functional Test: exceeding arguments 02'
  uriPattern: 'typo3/flow/test/exceeding/arguments2/{dynamic}'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'RoutingTestA'
  appendExceedingArguments: true

-
  name: 'Functional Test: static route parts are case sensitive'
  uriPattern: 'typo3/flow/test/Upper/Camel/Case'

-
  name: 'Functional Test: controller route parts are case insensitive'
  uriPattern: 'typo3/flow/test/{@package}/{@controller}/{@action}.{@format}'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'RoutingTestA'

-
  name: 'Functional Test: httpMethods are respected'
  uriPattern: 'typo3/flow/test/httpmethods'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'ActionControllerTestA'
    '@action':     'first'
  httpMethods: ['GET']

-
  name: 'Functional Test: httpMethods are respected'
  uriPattern: 'typo3/flow/test/httpmethods'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'ActionControllerTestA'
    '@action':     'second'
  httpMethods: ['POST', 'PUT']

-
  name: 'Functional Test: Standard'
  uriPattern: 'typo3/flow/test'
  defaults:
    '@package':    'TYPO3.Flow'
    '@subpackage': 'Tests\Functional\Mvc\Fixtures'
    '@controller': 'Standard'
    '@action':     'index'
    '@format':     'html'